/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.faults;

import org.apache.ws.resource.NamespaceConstants;
import org.apache.ws.resource.i18n.MessagesImpl;
import org.apache.ws.resource.i18n.Keys;
import org.apache.ws.util.i18n.Messages;

import javax.xml.namespace.QName;

/**
 * LOG-DONE
 * @author Ian P. Springer
 */
public class ResoureKeyHeaderNotFoundFaultException
   extends BaseFaultException
{
   public static final Messages MSG = MessagesImpl.getInstance();
   /**
    * DOCUMENT_ME
    */
   private static final QName NAME =
      new QName( NamespaceConstants.NSURI_APACHE_WS_RESOURCE, "ResoureKeyHeaderNotFoundFault",
                 NamespaceConstants.NSPREFIX_APACHE_WS_RESOURCE );

   /**
    * Creates a new {@link ResoureKeyHeaderNotFoundFaultException} object.
    *
    * @param expectedHeaderName DOCUMENT_ME
    */
   public ResoureKeyHeaderNotFoundFaultException( QName expectedHeaderName )
   {
      super( NAME );
      setDescription( new String[]
                      {
                         MSG.getMessage(Keys.EXPECTED_ADDRESSING_HEADER,String.valueOf( expectedHeaderName ))
                      } );
   }
}